/*--------------------------------------------------------------------------+
$Id: DeepCloneException.java 26283 2010-02-18 11:18:57Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.clone;

/**
 * Exception to be thrown when deep cloning fails.
 * 
 * @author Benjamin Hummel
 * @author $Author: juergens $
 * @version $Rev: 26283 $
 * @levd.rating GREEN Hash: 56F4481D402CEC512EFA440BF03B5730
 * 
 * @see IDeepCloneable
 */
@SuppressWarnings("serial")
public class DeepCloneException extends Exception {

	/** Create exception. */
	public DeepCloneException(String message) {
		super(message);
	}

	/** Create exception. */
	public DeepCloneException(String message, Throwable cause) {
		super(message, cause);
	}

	/** Create exception. */
	public DeepCloneException(Throwable cause) {
		super(cause);
	}
}