/*--------------------------------------------------------------------------+
$Id: IDeepCloneable.java 26283 2010-02-18 11:18:57Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.clone;

/**
 * Interface for classes that are deep cloneable, i.e. that can be duplicated
 * and recursively deep clone all field values.
 * 
 * @author Florian Deissenboeck
 * @author $Author: juergens $
 * 
 * @version $Rev: 26283 $
 * @levd.rating GREEN Hash: FD7BD0FF3B40D49D4EE6395EDF420A28
 */
public interface IDeepCloneable {

	/**
	 * Deep clone of this object.
	 * 
	 * @throws DeepCloneException
	 *             if problems during cloning occured.
	 */
	public IDeepCloneable deepClone() throws DeepCloneException;
}