/*--------------------------------------------------------------------------+
$Id: AllEqualComparator.java 26283 2010-02-18 11:18:57Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.collections;

import java.util.Comparator;

/**
 * Comparator that does not acutally <em>compare</em> but handles all elements
 * as being equal.
 * 
 * @author deissenb
 * @author $Author: juergens $
 * @version $Rev: 26283 $
 * @levd.rating GREEN Hash: ECD3DED6552211233D6AD0FEE58B9E4B
 */
public class AllEqualComparator<T> implements Comparator<T> {

	/** Instance of this comparator. */
	public static final AllEqualComparator<Object> OBJECT_INSTANCE = new AllEqualComparator<Object>();

	/** Returns 0. */
	public int compare(T t1, T t2) {
		return 0;
	}

}