/*--------------------------------------------------------------------------+
$Id: XMLWriterException.java 26283 2010-02-18 11:18:57Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.xml;

/**
 * XMLWriterExceptions are runtime exceptions thrown by the {@link XMLWriter}.
 * 
 * @author Florian Deissenboeck
 * @author $Author: juergens $
 * @version $Rev: 26283 $
 * @levd.rating GREEN Hash: E3446BE3DC216F57AEEDB50A66E20EED
 */
@SuppressWarnings("serial")
public class XMLWriterException extends RuntimeException {

	/** Exception type. */
	private final EXMLWriterExceptionType type;

	/**
	 * Create new exception.
	 */
	/* package */XMLWriterException(String message,
			EXMLWriterExceptionType type) {
		super(message);
		this.type = type;
	}

	/** Get exception type. */
	public EXMLWriterExceptionType getType() {
		return type;
	}
}