/*--------------------------------------------------------------------------+
$Id: OptionRegistryTest.java 26283 2010-02-18 11:18:57Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.options;

import junit.framework.TestCase;

/**
 * Tests for <code>OptionRegistry</code>
 * 
 * @author Benjamin Hummel
 * @author $Author: juergens $
 * 
 * @version $Rev: 26283 $
 * @levd.rating GREEN Hash: 7DF5EBCCFD19C318EE7D31946B846354
 */
public class OptionRegistryTest extends TestCase {

	/** Tests the registration process. */
	public void testRegistration() {
		SimpleOptionHandler soh = new SimpleOptionHandler();
		OptionRegistry registry = new OptionRegistry(soh);

		assertNotNull(registry.getShortOption('i'));
		assertNotNull(registry.getLongOption("inc"));

		assertNull(registry.getShortOption('x'));
		assertNull(registry.getLongOption("doesNotExist"));
	}
}