/*--------------------------------------------------------------------------+
$Id: EXMLElement.java 26268 2010-02-18 10:44:30Z juergens $
|                                                                          |
| Copyright 2005-2010 Technische Universitaet Muenchen                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package edu.tum.cs.commons.xml.example;

/**
 * XML facility demo model class. This class describes the XML elements.
 * 
 * @author Florian Deissenboeck
 * @author $Author: juergens $
 * @version $Rev: 26268 $
 * @levd.rating GREEN Hash: A3B60192EF2CB9DD7381CFD0880C46BA
 */
public enum EXMLElement {
	/** Root element. */
	MODEL,

	/** Address element. */
	ADDRESS,

	/** Element for a single order. */
	ORDER,

	/** Person element. */
	PERSON,

	/** Street element. */
	STREET,

	/** City element. */
	CITY,

	/** Name element. */
	NAME,

	/** Container element for orders. */
	ORDERS, 
	
	/** Person details. */
	DETAILS
}